Subject: [mdnsext] draft-cheshire-mdnsext-hybrid-00

From: Stuart Cheshire <[email-masked]>
Date: Fri, 25 Jan 2013 22:04:11 -0800

I have submitted a new Internet Draft that proposes a way to address the mdnsext problem.

Please review and give feedback.

Title:		 Hybrid Unicast/Multicast DNS-Based Service Discovery
Creation date:	 2013-01-25
WG ID:		 Individual Submission
Number of pages: 7
URL:             http://www.ietf.org/internet-drafts/draft-cheshire-mdnsext-hybrid-00.txt
Status:          http://datatracker.ietf.org/doc/draft-cheshire-mdnsext-hybrid
Htmlized:        http://tools.ietf.org/html/draft-cheshire-mdnsext-hybrid-00

Abstract:
  Performing DNS-Based Service Discovery using purely Multicast DNS
  allows discovery only of services present on the local link.  Using a
  very large local link with thousands of hosts improves service
  discovery, but at the cost of large amounts of multicast traffic.

  Performing DNS-Based Service Discovery using purely Unicast DNS is
  more efficient, but requires configuration of DNS Update keys on the
  devices offering the services, which can be onerous for simple
  devices like printers and network cameras.

  Hence a compromise is needed, that provides easy service discovery
  without requiring either large amounts of multicast traffic or
  onerous configuration.

Stuart Cheshire